Page MenuHomePhabricator

Add command line arguments parser module
Closed, ResolvedPublic12 Story Points

Description

  1. It should receive argc and argv and return struct with parsed values
  2. Returned struct should have enum class for task type (new, open, etc.) and sub-structures for each task type.
  3. Only sub-structure with current task type arguments should be filled.
  4. chose one:

4.1 It should output error message and stop application on parse failure.
4.2 There should be special task type for parse error with one argument - error message.

  1. UTC & documentation

It could be a wrapper around ecore_getopt and have hard-coded non-configurable options list.
'-w' option could be omitted for now.

FurryMyad moved this task from Wish list to Sprint W34 on the Eflete board.Aug 30 2017, 5:58 AM
FurryMyad edited projects, added Eflete (Sprint W34); removed Eflete.
FurryMyad set the point value for this task to 12.
FurryMyad moved this task from Backlog to Doing on the Eflete (Sprint W34) board.Aug 31 2017, 3:33 AM
rimmed moved this task from Backlog to Doing on the Eflete (Sprint W36) board.Sep 6 2017, 4:33 AM
an.kroitor moved this task from Doing to Review on the Eflete (Sprint W36) board.Sep 8 2017, 3:08 AM
an.kroitor moved this task from Review to Done on the Eflete (Sprint W36) board.Sep 12 2017, 7:03 AM
rimmed set the cover image to Restricted File.Sep 13 2017, 5:10 AM
rimmed moved this task from Done to Review on the Eflete (Sprint W36) board.
rimmed moved this task from Review to Done on the Eflete (Sprint W36) board.
rimmed closed this task as Resolved.Sep 13 2017, 5:11 AM